Offers - List
Get the list of offers under a resource group.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Subscriptions.Admin/offers?api-version=2015-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
The resource group the resource is located under. |
|
subscription
|
path | True |
string |
Subscription credentials which uniquely identify Microsoft Azure subscription.The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Unexpected Error |
Security
azure_auth
Azure Active Directory OAuth2 flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get the list of offers under a resource group.
Sample request
GET https://management.azure.com/subscriptions/0af9c33b-f7ac-4161-add5-17b2f0b6a669/resourceGroups/RG1/providers/Microsoft.Subscriptions.Admin/offers?api-version=2015-11-01
Sample response
{
"value": [
{
"id": "/subscriptions/0af9c33b-f7ac-4161-add5-17b2f0b6a669/resourceGroups/RG1/providers/Microsoft.Subscriptions.Admin/offers/sampleoffer1",
"name": "sampleoffer1",
"type": "Microsoft.Subscriptions.Admin/offers",
"location": "local",
"properties": {
"name": "sampleoffer1",
"displayName": "SampleOffer1",
"description": "",
"externalReferenceId": "",
"state": "Public",
"subscriptionCount": 1,
"maxSubscriptionsPerAccount": 0,
"basePlanIds": [
"/subscriptions/0af9c33b-f7ac-4161-add5-17b2f0b6a669/resourceGroups/RG1/providers/Microsoft.Subscriptions.Admin/plans/sampleplan1"
]
}
},
{
"id": "/subscriptions/0af9c33b-f7ac-4161-add5-17b2f0b6a669/resourceGroups/ascansubscrrg479/providers/Microsoft.Subscriptions.Admin/offers/sampleoffer2",
"name": "sampleoffer2",
"type": "Microsoft.Subscriptions.Admin/offers",
"location": "local",
"tags": {},
"properties": {
"name": "sampleoffer2",
"displayName": "sampleoffer2",
"state": "Public",
"subscriptionCount": 0,
"maxSubscriptionsPerAccount": 0,
"basePlanIds": [
"/subscriptions/0af9c33b-f7ac-4161-add5-17b2f0b6a669/resourceGroups/ascansubscrrg479/providers/Microsoft.Subscriptions.Admin/plans/sampleoffer2"
]
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Accessibility |
Represents the state of the offer |
|
Addon |
Contains the name of the desired plan to be linked or unlinked from an offer. |
| Error |
Error response. |
|
Error |
Error definition. |
| Offer |
Represents an offering of services against which a subscription can be created. |
|
Offer |
List of offers. |
AccessibilityState
Represents the state of the offer
| Value | Description |
|---|---|
| Private |
The offer or plan is private. Only an Admin can see and manage it. |
| Public |
The offer or plan is public. Users can see and self-subscribe to it. |
| Decommissioned |
The offer or plan is decommissioned. Current subscriptions can still consume it but new subscriptions cannot. |
AddonPlanDefinition
Contains the name of the desired plan to be linked or unlinked from an offer.
| Name | Type | Description |
|---|---|---|
| maxAcquisitionCount |
integer (int32) |
Maximum number of instances that can be acquired by a single subscription. If not specified, the assumed value is 1. |
| planId |
string |
Plan identifier. |
Error
Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error details. |
ErrorDefinition
Error definition.
| Name | Type | Description |
|---|---|---|
| code |
string |
Service specific error code which serves as the substatus for the HTTP error code. |
| details |
Internal error details. |
|
| message |
string |
Description of the error. |
Offer
Represents an offering of services against which a subscription can be created.
| Name | Type | Description |
|---|---|---|
| id |
string |
URI of the resource. |
| location |
string |
Location of the resource |
| name |
string |
Name of the resource. |
| properties.addonPlans |
References to add-on plans that a tenant can optionally acquire as a part of the offer. |
|
| properties.basePlanIds |
string[] |
Identifiers of the base plans that become available to the tenant immediately when a tenant subscribes to the offer. |
| properties.description |
string |
Description of offer. |
| properties.displayName |
string |
Display name of offer. |
| properties.externalReferenceId |
string |
External reference identifier. |
| properties.maxSubscriptionsPerAccount |
integer (int32) |
Maximum subscriptions per account. |
| properties.name |
string |
Name of the Offer. |
| properties.state |
Offer accessibility state. |
|
| properties.subscriptionCount |
integer (int32) |
Current subscription count. |
| tags |
object |
List of key-value pairs. |
| type |
string |
Type of resource. |
OfferList
List of offers.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
URI to next page. |
| value |
Offer[] |
List of offers. |